Bug 2780 - Capitalize strings consistently
Summary: Capitalize strings consistently
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P3 minor (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 7884
  Show dependency treegraph
 
Reported: 2008-11-13 06:09 UTC by Paul Poulain
Modified: 2013-12-05 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 2780 - Capitalize strings consistently (Acquisitions) (6.74 KB, patch)
2012-04-03 13:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Authorities) (3.19 KB, patch)
2012-04-03 13:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (catalog) (10.69 KB, patch)
2012-04-03 13:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Budgets) (4.73 KB, patch)
2012-04-03 13:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Circulation) (11.92 KB, patch)
2012-04-03 14:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Labels) (9.59 KB, patch)
2012-04-03 14:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Patron cards) (8.48 KB, patch)
2012-04-03 14:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Patrons) (12.12 KB, patch)
2012-04-03 15:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Serials) (4.84 KB, patch)
2012-04-03 15:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Cataloging) (4.10 KB, patch)
2012-04-03 15:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Administration) (21.74 KB, patch)
2012-04-03 15:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Reports) (3.85 KB, patch)
2012-04-03 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Tools) (3.60 KB, patch)
2012-04-03 15:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (miscellaneous) (13.54 KB, patch)
2012-04-03 15:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Acquisitions pages) (30.52 KB, patch)
2012-04-03 18:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Acquisitions pages) (30.52 KB, patch)
2012-04-03 19:28 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (6.80 KB, patch)
2012-04-03 23:51 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (3.25 KB, patch)
2012-04-03 23:51 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (catalog) (10.75 KB, patch)
2012-04-03 23:51 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Budgets) (4.80 KB, patch)
2012-04-03 23:51 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Circulation) (11.98 KB, patch)
2012-04-03 23:52 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Labels) (9.65 KB, patch)
2012-04-03 23:52 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Patron cards) (8.55 KB, patch)
2012-04-03 23:53 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Patrons) (12.19 KB, patch)
2012-04-03 23:53 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Serials) (4.90 KB, patch)
2012-04-03 23:53 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Cataloging) (4.16 KB, patch)
2012-04-03 23:54 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Administration) (21.13 KB, patch)
2012-04-03 23:54 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Reports) (3.91 KB, patch)
2012-04-04 00:13 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Tools) (3.67 KB, patch)
2012-04-04 00:13 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (miscellaneous) (13.60 KB, patch)
2012-04-04 00:14 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Acquisitions pages) (30.59 KB, patch)
2012-04-04 00:14 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Admin pages) (125.91 KB, patch)
2012-04-04 13:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Authorities pages) (4.85 KB, patch)
2012-04-04 14:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Staff client cart) (7.09 KB, patch)
2012-04-04 14:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Catalog pages) (33.03 KB, patch)
2012-04-04 15:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Cataloging plugins) (87.85 KB, patch)
2012-04-04 16:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Cataloging pages) (14.70 KB, patch)
2012-04-04 18:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Circulation) (42.89 KB, patch)
2012-04-04 19:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (OPAC includes) (16.68 KB, patch)
2012-04-04 19:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (OPAC pages) (168.86 KB, patch)
2012-04-05 15:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Error pages) (11.48 KB, patch)
2012-04-05 15:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Acqui help) (26.82 KB, patch)
2012-04-05 16:06 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (OPAC pages) (168.98 KB, patch)
2012-04-05 16:35 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Admin help) (73.03 KB, patch)
2012-04-05 18:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Authorities and Cataloging help) (21.64 KB, patch)
2012-04-06 13:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Circulation help) (22.63 KB, patch)
2012-04-06 14:33 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Admin pages) (125.93 KB, patch)
2012-04-06 17:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Follow up - Capitalize strings consistently (Admin pages) (3.28 KB, patch)
2012-04-06 17:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Authorities pages) (4.88 KB, patch)
2012-04-06 17:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Staff client cart) (7.12 KB, patch)
2012-04-06 17:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Follow up - Capitalize strings consistently (Staff client cart) (1.10 KB, patch)
2012-04-06 17:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Catalog pages) (33.05 KB, patch)
2012-04-06 18:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Misc. help pages) (21.00 KB, patch)
2012-04-06 18:59 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Cataloging plugins) (87.88 KB, patch)
2012-04-06 19:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Cataloging pages) (14.73 KB, patch)
2012-04-06 19:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Labels help) (11.51 KB, patch)
2012-04-06 19:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Installer) (8.15 KB, patch)
2012-04-06 19:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (Labels templates) (31.68 KB, patch)
2012-04-06 20:03 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Circulation) (42.46 KB, patch)
2012-04-06 20:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (OPAC includes) (16.71 KB, patch)
2012-04-06 21:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Error pages) (11.51 KB, patch)
2012-04-06 21:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Installer) (8.18 KB, patch)
2012-04-06 21:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Acqui help) (26.85 KB, patch)
2012-04-06 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Admin help) (73.06 KB, patch)
2012-04-06 22:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780: Capitalize strings consistently (2.59 KB, patch)
2012-04-06 22:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Authorities and Cataloging help) (21.67 KB, patch)
2012-04-08 17:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Circulation help) (22.66 KB, patch)
2012-04-08 17:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Misc. help pages) (21.03 KB, patch)
2012-04-08 17:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Labels help) (11.53 KB, patch)
2012-04-08 17:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Labels templates) (31.71 KB, patch)
2012-04-08 17:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780: Capitalize strings consistently (2.54 KB, patch)
2012-04-08 17:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (members) (10.04 KB, patch)
2012-04-08 17:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (members) (34.03 KB, patch)
2012-04-08 18:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (offline circulation) (5.37 KB, patch)
2012-04-08 18:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (patron cards) (43.90 KB, patch)
2012-04-08 18:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (reports) (76.50 KB, patch)
2012-04-08 19:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (reserve, review, rotating collections) (25.33 KB, patch)
2012-04-08 19:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (serials) (39.00 KB, patch)
2012-04-08 20:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently - various (20.67 KB, patch)
2012-04-08 20:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (virtualshelves) (14.15 KB, patch)
2012-04-08 20:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (tools) (44.76 KB, patch)
2012-04-08 21:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (home, about, login) (10.96 KB, patch)
2012-04-08 21:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Follow up - Capitalize strings consistently (Admin pages) (3.38 KB, patch)
2012-04-09 19:21 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Follow up - Capitalize strings consistently (Staff client cart) (1.21 KB, patch)
2012-04-09 19:26 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (members) (34.14 KB, patch)
2012-04-09 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (offline circulation) (5.48 KB, patch)
2012-04-09 19:44 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (patron cards) (44.01 KB, patch)
2012-04-09 19:53 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (reserve, review, rotating collections) (25.44 KB, patch)
2012-04-09 20:16 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (serials) (39.11 KB, patch)
2012-04-09 20:22 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently - various (20.77 KB, patch)
2012-04-09 20:26 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 2780: Capitalize strings consistently (2.61 KB, patch)
2012-04-10 08:40 UTC, Paul Poulain
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 2780 - Capitalize strings consistently (reports) (76.97 KB, patch)
2012-04-10 08:40 UTC, Paul Poulain
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 2780 - Capitalize strings consistently (virtualshelves) (14.35 KB, patch)
2012-04-10 08:41 UTC, Paul Poulain
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 2780 - Capitalize strings consistently (tools) (45.18 KB, patch)
2012-04-10 08:41 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently - various (20.74 KB, patch)
2012-04-10 08:41 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 2780 - Capitalize strings consistently (home, about, login) (2.22 KB, patch)
2012-04-10 08:44 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 2780 [FOLLOW-UP] Capitalize strings consistently (2.58 KB, patch)
2012-04-10 19:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2780 [FOLLOW-UP] Capitalize strings consistently (1.64 KB, patch)
2012-04-10 19:57 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 2780 [FOLLOW-UP] Capitalize strings consistently (2.66 KB, patch)
2012-04-10 20:02 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:55:47 UTC


---- Reported by paul.poulain@biblibre.com 2008-11-13 06:09:23 ----

A lot of strings have more than the 1st word ucfirst().
koha-devel think it would be better to have uppercase only on the 1st word :

On Wed, Nov 12, 2008 at 9:39 AM, Galen Charlton
<galen.charlton@liblime.com> wrote:
> > Hi,
> >
> > On Wed, Nov 12, 2008 at 4:32 AM, Paul POULAIN <paul.poulain@free.fr> wrote:
>> >> Do we (mainly owen ?) have a rule for uppercase & lower case ?
>> >> something like :
>> >> - in button, each word has ucfirst
>> >> - otherwise, only the 1st word has ucfirst
> >
> > I don't think that's been standardized, but I think it would nice to
> > establish something.  I have a slight preference for capitalizing only
> > the first word, but either way would be fine.
I agree, capitalizing on the first word except for proper nouns I suppose.

Josh



---- Additional Comments From nengard@gmail.com 2009-12-23 17:59:45 ----

This bug hasn't been touched in nearly a year, please revisit and test and close if appropriate.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:55 UTC  ---

This bug was previously known as _bug_ 2780 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2780

Actual time not defined. Setting to 0.0

Comment 1 Paul Poulain 2011-08-02 13:35:03 UTC
Most strings are now correctly capitalized. Marking as resolved, reopen with detailled informations (which page / which string) if you find forgotten strings
Comment 2 Katrin Fischer 2012-02-07 14:02:15 UTC
I think we still mix capitalization in a lot of places and forms. When working on the translations I notice that too, often the same words or labels appear with different captalization.
Comment 3 Owen Leonard 2012-04-03 13:22:13 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2012-04-03 13:27:41 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2012-04-03 13:34:01 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2012-04-03 13:44:18 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2012-04-03 14:16:36 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2012-04-03 14:26:16 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2012-04-03 14:30:50 UTC Comment hidden (obsolete)
Comment 10 Owen Leonard 2012-04-03 15:01:00 UTC Comment hidden (obsolete)
Comment 11 Owen Leonard 2012-04-03 15:07:38 UTC Comment hidden (obsolete)
Comment 12 Owen Leonard 2012-04-03 15:11:07 UTC Comment hidden (obsolete)
Comment 13 Owen Leonard 2012-04-03 15:28:19 UTC Comment hidden (obsolete)
Comment 14 Owen Leonard 2012-04-03 15:33:05 UTC Comment hidden (obsolete)
Comment 15 Owen Leonard 2012-04-03 15:37:36 UTC Comment hidden (obsolete)
Comment 16 Owen Leonard 2012-04-03 15:51:38 UTC Comment hidden (obsolete)
Comment 17 Owen Leonard 2012-04-03 18:28:09 UTC Comment hidden (obsolete)
Comment 18 MJ Ray (software.coop) 2012-04-03 18:31:05 UTC
Applying: Bug 2780 - Capitalize strings consistently (Administration)
error: patch failed: koha-tmpl/intranet-tmpl/prog/en/includes/budgetperiods-admin.inc:19
error: koha-tmpl/intranet-tmpl/prog/en/includes/budgetperiods-admin.inc: patch does not apply
Patch failed at 0001 Bug 2780 - Capitalize strings consistently (Administration)
Comment 19 Owen Leonard 2012-04-03 19:28:14 UTC Comment hidden (obsolete)
Comment 20 Owen Leonard 2012-04-03 20:25:38 UTC
> koha-tmpl/intranet-tmpl/prog/en/includes/budgetperiods-admin.inc:19

Looks like the problem is that two of my patches touch the same file (because I forgot I had already included it in another patch). These patches should apply fine separately. I assumed that it would be easier for people to sign off if I didn't submit one huge patch.
Comment 21 Jared Camins-Esakov 2012-04-03 23:51:07 UTC Comment hidden (obsolete)
Comment 22 Jared Camins-Esakov 2012-04-03 23:51:23 UTC Comment hidden (obsolete)
Comment 23 Jared Camins-Esakov 2012-04-03 23:51:36 UTC Comment hidden (obsolete)
Comment 24 Jared Camins-Esakov 2012-04-03 23:51:55 UTC Comment hidden (obsolete)
Comment 25 Jared Camins-Esakov 2012-04-03 23:52:32 UTC Comment hidden (obsolete)
Comment 26 Jared Camins-Esakov 2012-04-03 23:52:49 UTC Comment hidden (obsolete)
Comment 27 Jared Camins-Esakov 2012-04-03 23:53:00 UTC Comment hidden (obsolete)
Comment 28 Jared Camins-Esakov 2012-04-03 23:53:12 UTC Comment hidden (obsolete)
Comment 29 Jared Camins-Esakov 2012-04-03 23:53:42 UTC Comment hidden (obsolete)
Comment 30 Jared Camins-Esakov 2012-04-03 23:54:03 UTC Comment hidden (obsolete)
Comment 31 Jared Camins-Esakov 2012-04-03 23:54:17 UTC Comment hidden (obsolete)
Comment 32 Jared Camins-Esakov 2012-04-04 00:13:32 UTC Comment hidden (obsolete)
Comment 33 Jared Camins-Esakov 2012-04-04 00:13:44 UTC Comment hidden (obsolete)
Comment 34 Jared Camins-Esakov 2012-04-04 00:14:05 UTC Comment hidden (obsolete)
Comment 35 Jared Camins-Esakov 2012-04-04 00:14:25 UTC Comment hidden (obsolete)
Comment 36 Jared Camins-Esakov 2012-04-04 00:17:48 UTC
There may have been a few strings overlooked ("Add MARC Record" on the main page still has "Record" capitalized, for example), but this is a huge improvement over the way it was before. Signing off. Additional strings can be corrected in follow-ups.
Comment 37 Owen Leonard 2012-04-04 13:14:38 UTC Comment hidden (obsolete)
Comment 38 Owen Leonard 2012-04-04 14:07:44 UTC Comment hidden (obsolete)
Comment 39 Owen Leonard 2012-04-04 14:24:09 UTC Comment hidden (obsolete)
Comment 40 Owen Leonard 2012-04-04 15:04:13 UTC Comment hidden (obsolete)
Comment 41 Paul Poulain 2012-04-04 15:56:42 UTC
Comment on attachment 8840 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently

patch pushed
Comment 42 Paul Poulain 2012-04-04 15:56:48 UTC
Comment on attachment 8841 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently

patch pushed
Comment 43 Paul Poulain 2012-04-04 15:56:54 UTC
Comment on attachment 8842 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (catalog)

patch pushed
Comment 44 Paul Poulain 2012-04-04 15:57:09 UTC
Comment on attachment 8843 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Budgets)

patch pushed
Comment 45 Paul Poulain 2012-04-04 15:57:30 UTC
Comment on attachment 8844 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Circulation)

patch pushed
Comment 46 Paul Poulain 2012-04-04 15:57:37 UTC
Comment on attachment 8845 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Labels)

patch pushed
Comment 47 Paul Poulain 2012-04-04 15:57:45 UTC
Comment on attachment 8846 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Patron cards)

patch pushed
Comment 48 Paul Poulain 2012-04-04 15:57:53 UTC
Comment on attachment 8847 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Patrons)

patch pushed
Comment 49 Paul Poulain 2012-04-04 15:58:12 UTC
Comment on attachment 8848 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Serials)

patch pushed
Comment 50 Paul Poulain 2012-04-04 15:58:20 UTC
Comment on attachment 8849 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Cataloging)

patch pushed
Comment 51 Paul Poulain 2012-04-04 15:58:28 UTC
Comment on attachment 8850 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Administration)

patch pushed
Comment 52 Paul Poulain 2012-04-04 15:58:36 UTC
Comment on attachment 8851 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Reports)

patch pushed
Comment 53 Paul Poulain 2012-04-04 15:58:44 UTC
Comment on attachment 8852 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Tools)

patch pushed
Comment 54 Paul Poulain 2012-04-04 15:58:53 UTC
Comment on attachment 8853 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (miscellaneous)

patch pushed
Comment 55 Paul Poulain 2012-04-04 15:58:59 UTC
Comment on attachment 8854 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Acquisitions pages)

patch pushed
Comment 56 Paul Poulain 2012-04-04 16:01:19 UTC
QA comment: all signed-off patches are related to string/capitalization changes only, passed QA.

All have been pushed, switching back to "need signoff" for others.

PS: the circulation patch had a conflict
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/includes/circ-toolbar.inc

caused by bug 7888 pushed a few hours ago. I've solved it, it was easy
Comment 57 Owen Leonard 2012-04-04 16:52:49 UTC Comment hidden (obsolete)
Comment 58 Owen Leonard 2012-04-04 18:27:04 UTC Comment hidden (obsolete)
Comment 59 Owen Leonard 2012-04-04 19:01:02 UTC Comment hidden (obsolete)
Comment 60 Owen Leonard 2012-04-04 19:25:08 UTC Comment hidden (obsolete)
Comment 61 Marcel de Rooy 2012-04-05 12:35:29 UTC
Just a comment from a non-native speaker ;)

For titles like main menu options, command buttons, and so on I feel that we should not per se decapitalize all words except the first.

There are (English) grammar rules about capitalizing words in titles. The problem here is: what do we call a title? I think the label of a main menu option or a button is a good candidate.

So I would be in favor of keeping things like Advanced Search and Search the Catalog! (While scrolling through some Google search results for Advanced Search, I had the impression that the two-capitals variant had more occurrences than the one-capital form.) 

If we agree on what a title is, we can still be consistent in following that rule.
Comment 62 Katrin Fischer 2012-04-05 12:43:30 UTC
I think the easier the rule the greater is the chance that we will reach some consistency.
Comment 63 Owen Leonard 2012-04-05 14:39:41 UTC
(In reply to comment #61)
> There are (English) grammar rules about capitalizing words in titles. The
> problem here is: what do we call a title?

There are rules in English for capitalizing words in a title, but those words depend on the context. When I cite a title in a paper I capitalize the first letter of each word. When I catalog that title in Koha I don't capitalize. I think there are too many variations of the rules to be able to apply them consistently and easily in Koha. 

Better to have a simple rule.
Comment 64 Owen Leonard 2012-04-05 15:09:17 UTC Comment hidden (obsolete)
Comment 65 Owen Leonard 2012-04-05 15:22:50 UTC Comment hidden (obsolete)
Comment 66 Owen Leonard 2012-04-05 16:06:50 UTC Comment hidden (obsolete)
Comment 67 Liz Rea 2012-04-05 16:35:10 UTC Comment hidden (obsolete)
Comment 68 Owen Leonard 2012-04-05 18:58:46 UTC Comment hidden (obsolete)
Comment 69 Owen Leonard 2012-04-06 13:22:20 UTC Comment hidden (obsolete)
Comment 70 Owen Leonard 2012-04-06 14:33:05 UTC Comment hidden (obsolete)
Comment 71 Paul Poulain 2012-04-06 16:28:19 UTC
Comment on attachment 8930 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (OPAC pages)

this patch has been pushed
Comment 72 Paul Poulain 2012-04-06 16:28:51 UTC
switching back to "need signoff", because many are still needing...
Comment 73 Katrin Fischer 2012-04-06 17:44:34 UTC Comment hidden (obsolete)
Comment 74 Katrin Fischer 2012-04-06 17:44:53 UTC Comment hidden (obsolete)
Comment 75 Katrin Fischer 2012-04-06 17:53:24 UTC Comment hidden (obsolete)
Comment 76 Katrin Fischer 2012-04-06 17:53:34 UTC Comment hidden (obsolete)
Comment 77 Katrin Fischer 2012-04-06 17:53:42 UTC Comment hidden (obsolete)
Comment 78 Katrin Fischer 2012-04-06 18:20:58 UTC Comment hidden (obsolete)
Comment 79 Owen Leonard 2012-04-06 18:59:22 UTC Comment hidden (obsolete)
Comment 80 Katrin Fischer 2012-04-06 19:11:01 UTC Comment hidden (obsolete)
Comment 81 Katrin Fischer 2012-04-06 19:15:09 UTC Comment hidden (obsolete)
Comment 82 Owen Leonard 2012-04-06 19:30:37 UTC Comment hidden (obsolete)
Comment 83 Owen Leonard 2012-04-06 19:47:09 UTC Comment hidden (obsolete)
Comment 84 Owen Leonard 2012-04-06 20:03:39 UTC Comment hidden (obsolete)
Comment 85 Katrin Fischer 2012-04-06 20:59:18 UTC Comment hidden (obsolete)
Comment 86 Katrin Fischer 2012-04-06 21:03:05 UTC Comment hidden (obsolete)
Comment 87 Katrin Fischer 2012-04-06 21:06:19 UTC Comment hidden (obsolete)
Comment 88 Katrin Fischer 2012-04-06 21:12:20 UTC Comment hidden (obsolete)
Comment 89 Katrin Fischer 2012-04-06 21:34:54 UTC Comment hidden (obsolete)
Comment 90 Katrin Fischer 2012-04-06 22:01:20 UTC Comment hidden (obsolete)
Comment 91 Katrin Fischer 2012-04-06 22:27:26 UTC Comment hidden (obsolete)
Comment 92 Katrin Fischer 2012-04-08 17:18:00 UTC Comment hidden (obsolete)
Comment 93 Katrin Fischer 2012-04-08 17:22:16 UTC Comment hidden (obsolete)
Comment 94 Katrin Fischer 2012-04-08 17:29:03 UTC Comment hidden (obsolete)
Comment 95 Katrin Fischer 2012-04-08 17:32:31 UTC Comment hidden (obsolete)
Comment 96 Katrin Fischer 2012-04-08 17:38:14 UTC Comment hidden (obsolete)
Comment 97 Katrin Fischer 2012-04-08 17:39:33 UTC Comment hidden (obsolete)
Comment 98 Katrin Fischer 2012-04-08 17:51:03 UTC Comment hidden (obsolete)
Comment 99 Katrin Fischer 2012-04-08 18:18:52 UTC Comment hidden (obsolete)
Comment 100 Katrin Fischer 2012-04-08 18:23:44 UTC Comment hidden (obsolete)
Comment 101 Katrin Fischer 2012-04-08 18:45:15 UTC Comment hidden (obsolete)
Comment 102 Katrin Fischer 2012-04-08 19:30:02 UTC Comment hidden (obsolete)
Comment 103 Katrin Fischer 2012-04-08 19:45:33 UTC Comment hidden (obsolete)
Comment 104 Katrin Fischer 2012-04-08 20:17:50 UTC Comment hidden (obsolete)
Comment 105 Katrin Fischer 2012-04-08 20:35:57 UTC Comment hidden (obsolete)
Comment 106 Katrin Fischer 2012-04-08 20:50:47 UTC Comment hidden (obsolete)
Comment 107 Katrin Fischer 2012-04-08 21:32:02 UTC Comment hidden (obsolete)
Comment 108 Katrin Fischer 2012-04-08 21:43:12 UTC Comment hidden (obsolete)
Comment 109 Katrin Fischer 2012-04-08 21:45:13 UTC
I finished off the templates for the modules, there are still help pages mising. And all my patches still need proof reading.
Comment 110 Owen Leonard 2012-04-09 19:21:50 UTC Comment hidden (obsolete)
Comment 111 Owen Leonard 2012-04-09 19:26:10 UTC Comment hidden (obsolete)
Comment 112 Owen Leonard 2012-04-09 19:39:33 UTC
Note that attachment 9047 [details] [review] and attachment 9048 [details] [review] must be applied after the patches to which they are follow-ups.
Comment 113 Owen Leonard 2012-04-09 19:40:48 UTC Comment hidden (obsolete)
Comment 114 Owen Leonard 2012-04-09 19:44:00 UTC Comment hidden (obsolete)
Comment 115 Owen Leonard 2012-04-09 19:53:20 UTC Comment hidden (obsolete)
Comment 116 Owen Leonard 2012-04-09 20:16:39 UTC Comment hidden (obsolete)
Comment 117 Owen Leonard 2012-04-09 20:22:18 UTC Comment hidden (obsolete)
Comment 118 Owen Leonard 2012-04-09 20:26:29 UTC Comment hidden (obsolete)
Comment 119 Paul Poulain 2012-04-10 08:05:01 UTC
Comment on attachment 8977 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Admin pages)

this patch has been pushed
Comment 120 Paul Poulain 2012-04-10 08:05:26 UTC
Comment on attachment 8979 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Authorities pages)

This patch has been pushed
Comment 121 Paul Poulain 2012-04-10 08:05:42 UTC
Comment on attachment 8980 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Staff client cart)

This patch has been pushed
Comment 122 Paul Poulain 2012-04-10 08:05:57 UTC
Comment on attachment 8983 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Catalog pages)

This patch has been pushed
Comment 123 Paul Poulain 2012-04-10 08:06:12 UTC
Comment on attachment 8985 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Cataloging plugins)

This patch has been pushed
Comment 124 Paul Poulain 2012-04-10 08:06:26 UTC
Comment on attachment 8986 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Cataloging pages)

This patch has been pushed
Comment 125 Paul Poulain 2012-04-10 08:06:43 UTC
Comment on attachment 8990 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Circulation)

This patch has been pushed
Comment 126 Paul Poulain 2012-04-10 08:07:03 UTC
Comment on attachment 8991 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (OPAC includes)

This patch has been pushed
Comment 127 Paul Poulain 2012-04-10 08:07:15 UTC
Comment on attachment 8992 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Error pages)

This patch has been pushed
Comment 128 Paul Poulain 2012-04-10 08:07:29 UTC
Comment on attachment 8993 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Installer)

This patch has been pushed
Comment 129 Paul Poulain 2012-04-10 08:07:49 UTC
Comment on attachment 8994 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Acqui help)

This patch has been pushed
Comment 130 Paul Poulain 2012-04-10 08:08:05 UTC
Comment on attachment 8995 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Admin help)

This patch has been pushed
Comment 131 Paul Poulain 2012-04-10 08:08:20 UTC
Comment on attachment 9013 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Authorities and Cataloging help)

This patch has been pushed
Comment 132 Paul Poulain 2012-04-10 08:08:33 UTC
Comment on attachment 9014 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Circulation help)

This patch has been pushed
Comment 133 Paul Poulain 2012-04-10 08:08:44 UTC
Comment on attachment 9015 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Misc. help pages)

This patch has been pushed
Comment 134 Paul Poulain 2012-04-10 08:08:57 UTC
Comment on attachment 9016 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Labels help)

This patch has been pushed
Comment 135 Paul Poulain 2012-04-10 08:09:09 UTC
Comment on attachment 9017 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (Labels templates)

This patch has been pushed
Comment 136 Paul Poulain 2012-04-10 08:09:27 UTC
Comment on attachment 9047 [details] [review]
[SIGNED-OFF] Bug 2780 - Follow up - Capitalize strings consistently (Admin pages)

This patch has been pushed
Comment 137 Paul Poulain 2012-04-10 08:09:40 UTC
Comment on attachment 9048 [details] [review]
[SIGNED-OFF] Bug 2780 - Follow up - Capitalize strings consistently (Staff client cart)

This patch has been pushed
Comment 138 Paul Poulain 2012-04-10 08:09:53 UTC
Comment on attachment 9052 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (members)

This patch has been pushed
Comment 139 Paul Poulain 2012-04-10 08:10:07 UTC
Comment on attachment 9054 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (offline circulation)

This patch has been pushed
Comment 140 Paul Poulain 2012-04-10 08:10:20 UTC
Comment on attachment 9055 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (patron cards)

This patch has been pushed
Comment 141 Paul Poulain 2012-04-10 08:10:34 UTC
Comment on attachment 9056 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (reserve, review, rotating collections)

This patch has been pushed
Comment 142 Paul Poulain 2012-04-10 08:10:47 UTC
Comment on attachment 9057 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently (serials)

This patch has been pushed
Comment 143 Paul Poulain 2012-04-10 08:11:00 UTC
Comment on attachment 9058 [details] [review]
[SIGNED-OFF] Bug 2780 - Capitalize strings consistently - various

This patch has been pushed
Comment 144 Paul Poulain 2012-04-10 08:40:50 UTC Comment hidden (obsolete)
Comment 145 Paul Poulain 2012-04-10 08:40:58 UTC Comment hidden (obsolete)
Comment 146 Paul Poulain 2012-04-10 08:41:05 UTC Comment hidden (obsolete)
Comment 147 Paul Poulain 2012-04-10 08:41:12 UTC Comment hidden (obsolete)
Comment 148 Paul Poulain 2012-04-10 08:41:41 UTC Comment hidden (obsolete)
Comment 149 Paul Poulain 2012-04-10 08:43:19 UTC
Comment on attachment 9068 [details] [review]
[SIGNED-OFF]Bug 2780: Capitalize strings consistently

This patch has been pushed
Comment 150 Paul Poulain 2012-04-10 08:43:31 UTC
Comment on attachment 9069 [details] [review]
[SIGNED-OFF]Bug 2780 - Capitalize strings consistently (reports)

This patch has been pushed
Comment 151 Paul Poulain 2012-04-10 08:43:37 UTC
Comment on attachment 9070 [details] [review]
[SIGNED-OFF]Bug 2780 - Capitalize strings consistently (virtualshelves)

This patch has been pushed
Comment 152 Paul Poulain 2012-04-10 08:43:42 UTC
Comment on attachment 9071 [details] [review]
[SIGNED-OFF]Bug 2780 - Capitalize strings consistently (tools)

This patch has been pushed
Comment 153 Chris Cormack 2012-04-10 08:44:14 UTC Comment hidden (obsolete)
Comment 154 Paul Poulain 2012-04-10 09:10:33 UTC
Comment on attachment 9073 [details] [review]
Bug 2780 - Capitalize strings consistently (home, about, login)

This patch has been pushed (on master branch, not on new/bug_2780 where it does not apply anymore)
Comment 155 Owen Leonard 2012-04-10 19:48:04 UTC Comment hidden (obsolete)
Comment 156 Liz Rea 2012-04-10 19:57:41 UTC Comment hidden (obsolete)
Comment 157 Liz Rea 2012-04-10 19:58:17 UTC
Comment on attachment 9091 [details] [review]
Bug 2780 [FOLLOW-UP] Capitalize strings consistently

messed up. real patch inc.
Comment 158 Liz Rea 2012-04-10 20:02:43 UTC Comment hidden (obsolete)
Comment 159 Ian Walls 2012-04-10 20:05:10 UTC
Template only change, fixes capitalization that is required for certain parts of scripts to function.  Marking Passed QA.
Comment 160 Paul Poulain 2012-04-11 09:06:46 UTC
Comment on attachment 9092 [details] [review]
Bug 2780 [FOLLOW-UP] Capitalize strings consistently

This patch has been pushed
Comment 161 Owen Leonard 2013-03-05 00:08:10 UTC
I'm sure there are minor instances of this remaining to be fixed, but they can be handled individually as we find them.